// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package errors

import (
	"google.golang.org/grpc/status"
)

var (
	// 通用错误
	SystemError       = status.Error(10001, "系统错误")
	ServiceError      = status.Error(10002, "内部服务错误")
	ParamsError       = status.Error(10003, "参数错误")
	DataBaseError     = status.Error(10004, "数据库错误")
	RedisError        = status.Error(10005, "Redis错误")
	VendorError       = status.Error(10006, "三方错误")
	ElasticError      = status.Error(10007, "ElasticSearch 错误")
	NoTokenError      = status.Error(10008, "没有token")
	TokenExpiredError = status.Error(10009, "token已过期")
	TokenFailedError  = status.Error(10010, "token错误")
	DistributeIdError = status.Error(10011, "分布式id错误")
	ErrRecordNotFound = status.Error(10012, "数据不存在")

	UserNotExist          = status.Error(20001, "用户不存在")
	UserExist             = status.Error(20002, "用户已存在")
	PasswordError         = status.Error(20003, "密码错误")
	UserDisable = status.Error(20004, "密码错误")
	SuperGroupError = status.Error(20005, "不能删改超级管理员组")
	SuperUserError = status.Error(20006, "不能删改超级管理员")
	UserSelfError = status.Error(20007, "不能对当前账号进行该操作")
	GroupCanNotDel = status.Error(20008, "该权限组已被用户绑定，请先分配其他权限组给相关用户，再删除")

	GardenNotExist          = status.Error(20009, "小区不存在")
	GardenExist             = status.Error(20010, "小区已存在")
	GardenLimitError             = status.Error(20011, "小区数量已达限制")
)
